#version 330

// Input vertex data, different for all executions of this shader
layout(location = 0) in vec3 vertexPosition;
layout(location = 1) in vec3 vertexUV;

// Input that stay constant fpr the whole mesh
uniform mat4 MVP;

// Output
out vec2 UV;

void main()
{
	gl_Position = MVP * vec4(vertexPosition, 1);
	UV = vertexUV;
}